pidgin: gtkdnd-hints.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Enumerations | Functions
gtkdnd-hints.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Drag-and-Drop arrow hints. More...

`#include <glib.h>`
`#include <gtk/gtk.h>`

Go to the source code of this file.

## Enumerations
enum | DndHintWindowId { HINT_ARROW_UP , HINT_ARROW_DOWN , HINT_ARROW_LEFT , HINT_ARROW_RIGHT }
| Conversation drag-and-drop arrow types. More...
enum | DndHintPosition { HINT_POSITION_RIGHT , HINT_POSITION_LEFT , HINT_POSITION_TOP , HINT_POSITION_BOTTOM , HINT_POSITION_CENTER }
| Conversation drag-and-drop arrow positions. More...

## Functions
void | dnd_hints_show (DndHintWindowId id, gint x, gint y)
| Shows a drag-and-drop hint at the specified location.
void | dnd_hints_hide (DndHintWindowId id)
| Hides the specified drag-and-drop hint.
void | dnd_hints_hide_all (void)
| Hides all drag-and-drop hints.
void | dnd_hints_show_relative (DndHintWindowId id, GtkWidget *widget, DndHintPosition horiz, DndHintPosition vert)
| Shows a drag-and-drop hint relative to a widget.

## Detailed Description

GTK+ Drag-and-Drop arrow hints.

Definition in file gtkdnd-hints.h.

## Enumeration Type Documentation

## ◆ DndHintPosition

enum DndHintPosition

Conversation drag-and-drop arrow positions.

Enumerator
HINT_POSITION_RIGHT | Position to the right of a tab.
HINT_POSITION_LEFT | Position to the left of a tab.
HINT_POSITION_TOP | Position above a tab.
HINT_POSITION_BOTTOM | Position below a tab.
HINT_POSITION_CENTER | Position in the center of a tab.

Definition at line 45 of file gtkdnd-hints.h.

## ◆ DndHintWindowId

enum DndHintWindowId

Conversation drag-and-drop arrow types.

Enumerator
HINT_ARROW_UP | Up arrow.
HINT_ARROW_DOWN | Down arrow.
HINT_ARROW_LEFT | Left arrow.
HINT_ARROW_RIGHT | Right arrow.

Definition at line 33 of file gtkdnd-hints.h.

## Function Documentation

## ◆ dnd_hints_hide()

void dnd_hints_hide | ( | DndHintWindowId | id | ) |

Hides the specified drag-and-drop hint.

Parameters

  id | The ID of the hint to hide.

## ◆ dnd_hints_show()

void dnd_hints_show | ( | DndHintWindowId | id,
|  | gint | x,
|  | gint | y
| ) |  |

Shows a drag-and-drop hint at the specified location.

Parameters

  id | The ID of the hint to show.
  x | The X location to show it at.
  y | The Y location to show it at.

## ◆ dnd_hints_show_relative()

void dnd_hints_show_relative | ( | DndHintWindowId | id,
|  | GtkWidget * | widget,
|  | DndHintPosition | horiz,
|  | DndHintPosition | vert
| ) |  |

Shows a drag-and-drop hint relative to a widget.

Parameters

  id | The ID of the hint.
  widget | The widget that the hint is relative to.
  horiz | The horizontal relative position.
  vert | The vertical relative position.